Skip to main content
PATCH
/
projects
/
{project_id}
/
branches
/
{name}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/branches/:name" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -d '{"name":"my-branch"}' \
  -H 'Content-Type: application/json'
phrase branches update \
--project_id <project_id> \
--name <name> \
--data '{"name":"my-branch"}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/branches/{name}"

payload = { "name": "my-branch" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-branch'})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/branches/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "new-branch",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "merged_at": "2015-01-28T09:52:53Z",
  "merged_by": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "created_by": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "state": "success",
  "child_branches": [
    "feature_2",
    "feature_3"
  ]
}
{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

name
string
required

name

Body

application/json
name
string

Name of the branch

Example:

"my-branch"

Response

OK

base_project_id
string
branch_project_id
string
name
string
base
string | null

Name of the base branch this branch was created from. Only present for branches created with the newer branching system.

created_at
string<date-time>
updated_at
string<date-time>
merged_at
string<date-time>
merged_by
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
created_by
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
state
enum<string>
Available options:
creating_branch,
merging_branch,
syncing_branch,
merged,
success,
branch_error,
merge_conflict
child_branches
string[]